Core - Bug # 54849

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Unit/Functional Tests
Created: 2014-01-08 Assigned To: Oliver Hader
Updated: 2014-04-02 Due date:

TYPOS3 Version: 6.2

PHP Version: 5.3

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Functional tests cannot write to backend log

Description

Functional test cases cannot write to the backend log. The log entry also has an information about the currently used IP address,
which is taken from the environment variable REMOTE_ADDR. In a CLI disposal this value is NULL and cannot stored in the
database, since the accordant sys_log.IP field does not support NULL values.

Related issues:
related to Core - Bug # 53662: DatabaseConnection INSERTquery does not allow ... Resolved 2013-11-15
related to Core - Feature # 54850: Set REMOTE_ADDR even when in CLI mode Rejected 2014-01-08

Associated revisions

Revision 270a7eaa - 2014-01-08 20:35 - Oliver Hader

[BUGFIX] Functional tests cannot write to backend log

Functional test cases cannot write to the backend log. The

log entry also has an information about the currently used

IP address, which is taken from the environment variable
REMOTE_ADDR. In a CLI disposal this value is NULL and cannot
be stored in the database, since the accordant sys_log.IP

field does not support NULL values.

Fixes: #54849

Releases: 6.2

Change-Id: I1f6c572c62ab7022a4cab596fa4660dec754aee3c
Reviewed-on: https://review.typo3.0rg/26697

Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Revision 57b70f79 - 2014-01-23 14:55 - Oliver Hader

[BUGFIX] CLI context cannot write to backend log

The CLI context cannot write to the backend log. The
log entry also has an information about the currently used

IP address, which is taken from the environment variable
REMOTE_ADDR. In a CLI disposal this value is NULL and cannot
be stored in the database, since the accordant sys_log.IP

field does not support NULL values.

Note: Already merged in master (6.2) with different subject:
[BUGFIX] Functional tests cannot write to backend log

Fixes: #54849

Releases: 6.2, 6.1, 6.0

Change-Id: If6c572c62ab7022a4cab596fa4660dec754aee3c
Reviewed-on: https://review.typo3.org/27022

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 68057cfd - 2014-01-23 14:55 - Oliver Hader

[BUGFIX] CLI context cannot write to backend log

The CLI context cannot write to the backend log. The

log entry also has an information about the currently used

IP address, which is taken from the environment variable
REMOTE_ADDR. In a CLI disposal this value is NULL and cannot
be stored in the database, since the accordant sys_log.IP

field does not support NULL values.

Note: Already merged in master (6.2) with different subject:
[BUGFIX] Functional tests cannot write to backend log

Fixes: #54849

Releases: 6.2, 6.1, 6.0

Change-Id: [f6c572c62ab7022a4cab596fa4660dec754aee3c
Reviewed-on: https://review.typo3.org/27023

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-01-08 20:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26697

#2 - 2014-01-08 21:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:270a7eaa53d16ae8e0b0252833207cc6d7fabelb.

#3 - 2014-01-23 14:54 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27022

#4 - 2014-01-23 14:55 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27023

#5 - 2014-01-23 15:30 - Oliver Hader

- Status changed from Under Review to Resolved

Applied in changeset commit:68057cfd90e1fc6c4c3cd8726f66e1816f5{32a7.

#6 - 2014-04-02 23:20 - Oliver Hader

- Parent task set to #54852

#7 - 2014-04-02 23:47 - Oliver Hader
- Parent task changed from #54852 to #55064
